.schedule {
  padding: 0 0;
}

.calendar {
  position: relative;
  overflow: hidden;
  text-transform: capitalize;
  text-align: center;
  font: 15px/1em inherit;
  color: #545A5C;
}

.calendar a {
  text-decoration: none;
  color: inherit;
}

.calendar-header>div {
  width: 100%;
}

.calendar-header .simple-calendar-btn {
  display: inline-block;
  position: relative;
  width: 42px;
  height: 42px;
  text-align: center;
  line-height: 30px;
  color: var(--clr-white);
  background-color: var(--clr-primary);
  border-radius: 50%;
  border: 2px solid transparent;
}

.calendar-header .simple-calendar-btn:before {
  content: '';
  background-image: url('/wp-content/themes/hello-theme-child/img/icons/arrow.svg');
  background-size: 24px 24px;
  background-repeat: no-repeat;
  position: absolute;
  top: 7px;
  left: 8px;
  width: 24px;
  height: 24px;
  transform-origin: center center;
}

.calendar-header .btn-prev {
  transform: rotate(-180deg);
  -webkit-transform: rotate(-180deg);
  -moz-transform: rotate(-180deg);
  -ms-transform: rotate(-180deg);
  -o-transform: rotate(-180deg);
}

.calendar-header .month, 
.calendar-header .month .year {
  font-family: var(--ff-heading) !important;
}

.calendar-header .month, 
.calendar-header .month .year,
.schedule-filter-header {
  padding: 0;
  margin: 0;  
  text-transform: uppercase;
  font-size: 16px;
  color: var(--clr-black);
}

.schedule-filter-header {
  margin-bottom: 8px;
  font-family: var(--ff-body-bold) !important;
}

.calendar-header .month,
.calendar-header .month .year {
  font-size: 24px;
}

.schedule-area label {
  font-family: var(--ff-body);
  text-transform: uppercase;
  font-size: 14px;
  color: var(--clr-black);
  float: left;
}

/* Filter */

.schedule-filter-container {
  display: flex;
  width: 100%;
}

#filter_fortysixers_home[type=checkbox] + label,
#filter_fortysixers_away[type=checkbox] + label,
#filter_rackelos_home[type=checkbox] + label,
#filter_rackelos_away[type=checkbox] + label {
  position: relative;
}

#filter_fortysixers_home[type=checkbox],
#filter_fortysixers_away[type=checkbox],
#filter_rackelos_home[type=checkbox],
#filter_rackelos_away[type=checkbox] {
  position: relative;
  left: 15px;
  top: -4px;
  z-index: 0;
  -webkit-appearance: none;
}


#filter_fortysixers_home[type=checkbox]+label::before {
  background-image: url('/wp-content/themes/hello-theme-child/img/schedule/jobstairs_home.png');
}

#filter_fortysixers_away[type=checkbox]+label::before {
  background-image: url('/wp-content/themes/hello-theme-child/img/schedule/jobstairs_away.png');
}

#filter_rackelos_home[type=checkbox]+label::before {
  background-image: url('/wp-content/themes/hello-theme-child/img/schedule/rackelos_home.png');
}

#filter_rackelos_away[type=checkbox]+label::before {
  background-image: url('/wp-content/themes/hello-theme-child/img/schedule/rackelos_away.png');
}

#filter_fortysixers_home[type=checkbox]+label::before,
#filter_fortysixers_away[type=checkbox]+label::before,
#filter_rackelos_home[type=checkbox]+label::before,
#filter_rackelos_away[type=checkbox]+label::before {
  background-size: contain;
  background-repeat: no-repeat;
  width: 24px;
  height: 24px;
  opacity: 1;
  display: block;
  content: "";
  float: left;
  margin-right: 5px;
  position: relative;
  bottom: 5px;
}

#filter_fortysixers_home:not(:checked) + label,
#filter_fortysixers_away:not(:checked) + label,
#filter_rackelos_home:not(:checked) + label,
#filter_rackelos_away:not(:checked) + label {
  opacity: 0.2;
}

#filter_fortysixers_home[type=checkbox]:checked + label::before,
#filter_fortysixers_away[type=checkbox]:checked + label::before,
#filter_rackelos_home[type=checkbox]:checked + label::before,
#filter_rackelos_away[type=checkbox]:checked + label::before {
  opacity: 1;
}

.schedule-filter-rackelos,
.schedule-filter-fortysixers {
  width: 100%;
}

.schedule-filter-fortysixers-container,
.schedule-filter-rackelos-container  {
  display: flex;
  justify-content: space-around;
}

/* table */

.calendar table {
  width: 100%;
  margin: 20px 0;
  border-spacing: 0px;
}

.calendar thead {
  font-size: 1.2em;
  font-weight: 600;
  text-align: center;
}

.calendar thead td {
  color: rgb(112, 112, 112);
  font-family: var(--ff-body);
  text-transform: uppercase;
  font-size: 0.75rem;
  font-weight: normal;
  height: 50%;
}

.calendar table {
  border-collapse: collapse;
  border-style: hidden;
}

.calendar td {
  height: 50px;
  width: 50px;  
  padding: 0;  
  text-transform: uppercase;
  border-right: 1px solid grey;
  border-bottom: 1px solid grey;
}

.calendar tbody tr td {
  font-family: var(--ff-body);
    text-transform: uppercase;
    font-size: 42.335px;
}

.calendar .day {
  position: relative;
  display: inline-block;
  width: 1.5em !important;
  height: 1.5em;
  line-height: 1.5em;
  border-radius: 50%;
  cursor: pointer;
  font-size: 0.75rem;
  width: 33%;
  float: unset;
}

.calendar .day:hover {
  /* border: 2px solid #6691CC; */
}

.calendar .day.today {
  background: var(--clr-black) !important;
  color: var(--clr-white) !important;
}

.calendar .day{
  color: var(--clr-black);
}

.day.has-event {
  top: 5% !important;
}

.calendar .day.has-event {  position: relative;
  
  color: var(--clr-black);  
  border-radius: 50%;
  background: var(--clr-white);
}

.calendar .day.today.has-event:after {
  background: var(--clr-var(--clr-white));
}

.calendar .day.wrong-month {
  color: rgb(112, 112, 112);
}

.calendar .day.wrong-month:hover {
  /* border: 2px solid transparent; */
}

.calendar .day.disabled {
  cursor: unset;
  float: left;
  top: -26%;
}

.calendar .day.disabled:hover {
  /* border: 2px solid transparent; */
}

.day-has-event {
  cursor: pointer;
}

.calendar .event-container {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 70px;
  background: #545A5C;
  box-sizing: border-box;
}

.calendar .event-container .event-wrapper {
  overflow-y: auto;
  max-height: 100%;
}

.calendar .event-container .close {
  position: absolute;
  width: 30px;
  height: 30px;
  top: 20px;
  right: 20px;
  cursor: pointer;
}

.calendar .event-container .close:before, .calendar .event-container .close:after {
  content: '';
  position: absolute;
  top: 0;
  left: 50%;
  width: 2px;
  height: 100%;
  background-color: #CBD1D2;
}

.calendar .event-container .close:before {
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
}

.calendar .event-container .close:after {
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
}

.calendar .event-container .event {
  position: relative;
  width: 100%;
  padding: 1em;
  margin-bottom: 1em;
  background: #6691CC;
  border-radius: 4px;
  box-sizing: border-box;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.06), 0 1px 2px rgba(0, 0, 0, 0.12);
  text-align: left;
  color: var(--clr-white);
}

.calendar .event-container .event-date {
  margin-bottom: 1em;
}

.calendar .event-container .event-hour {
  float: right;
}

.calendar .event-container .event-summary {
  font-weight: 600;
}

.calendar .filler {
  position: absolute;
  width: 0;
  height: 0;
  border-radius: 50%;
  background: #545A5C;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
}

table tbody>tr:nth-child(odd)>td, table tbody>tr:nth-child(odd)>th {
  background-color: transparent;
}

.calendar table tbody tr:hover > td {
  background-color: unset;
}

.event-day {
  display: flex;
  background-size: contain;
  background-repeat: no-repeat;
  float: left;
  height: 100%;
  width: 50%;
  bottom: 60px;
}

.single-event {
  float: right;
  height: 70%;
  width: 45%;
  bottom: -10px;
  cursor: pointer;
  position: relative;
}

.multiple-events-one {
  width: 25%;
}

.multiple-events-two {
  height: 100%;
  width: 30% !important;
  bottom: -15px;
  position: relative; 
}

.fortysixers-home-event {
  background-color: var(--clr-primary) !important;
}

.fortysixers-away-event {
  background-color: var(--clr-black) !important;
}

.rackelos-home-event{
  background-color: rgb(81, 150, 87) !important;
}

.rackelos-away-event{
  background-color: rgb(32, 103, 45) !important;
}

.next-up-home-logo, .next-up-guest-logo {
  width: 100px;
}

.schedule-bottom-container {
  display: flex;
  justify-content: space-evenly;
  margin: 42.077px 3% 3%;
  flex-wrap: wrap;
  width: 100%;  
  padding-left: 5%;
  padding-right: 5%;
}

.schedule-bottom-block-tickets,
.schedule-bottom-block-tabelle,
.schedule-bottom-block-ergebnisse,
.schedule-bottom-block-gametime {
  background-color: rgb(235, 235, 235);
  border-bottom: 1px solid black; 
  position: relative; 
  height: 26px;
  width: 154px; 
  min-width: 130px;
  margin-right: 10.5193px;
  flex-basis: 45%;
}


.schedule-bottom-block-tickets:hover,
.schedule-bottom-block-tabelle:hover,
.schedule-bottom-block-ergebnisse:hover,
.schedule-bottom-block-gametime:hover  {
  background-image: unset;
  background-color: var(--clr-primary);
}

.schedule-bottom-items:hover {
  color: var(--clr-white);
}

.schedule-bottom-items {
  color: var(--clr-black);
  display: flex; 
  position: relative; 
  align-items: center;
  height: 100%;
}

.schedule-bottom-items img {
  width: 16px;
  height: 16px;
  margin: 0 8px 0 15px;
}

.schedule-bottom-items i {
  font-size: 1rem;
  margin: 0 8px 0 15px;
}

.schedule-bottom-items span {  
  font-family: var(--ff-heading);
  font-size: 18px;
  text-transform: uppercase;
  text-decoration: none;
}

.isDisabled span, .isDisabled i, .isDisabled img{
  opacity: 0.2;  
}

.isDisabled {
  pointer-events: none;
  text-decoration: none;
}

.next-up-date, .next-up-time, .isCancelled {
  font-family: var(--ff-heading);
  font-size: 22px;
  text-transform: uppercase;
  margin-bottom: 0;
  text-align: center;
  line-height: 1;
}

.next-up-time {
  margin-bottom: 15px;
}

.isCancelled {
  color: var(--clr-primary);
  margin-bottom: 0px;
  text-align: center;
}

.isCancelledSm {
  font-family: var(--ff-body);
  color: var(--clr-primary);
  font-size: 18px;
  line-height: 1;
  margin-bottom: 0px;
  text-align: center;
  text-transform: unset;
}

.next-up-sponsor-logo {
  width: 10em;
}

.prev-hidden {
  filter: grayscale(1);
  -webkit-filter: grayscale(1);
  pointer-events: none;
}

@media (min-width: 768px) {  
  .calendar {
    margin-right: 80px;
  }
}

@media (min-width: 400px) and (max-width: 991px) {
  .calendar td {
    width: 48.56px;
    height: 50px;
    overflow: hidden;
    display: inline-block;
  }
}

@media (min-width: 992px) {  
  .calendar {
    padding-left: 20px;
  }
  .event-day {
    position: relative;
  }

  .schedule-filter-header {
    font-size: 20.5725px;
    padding-bottom: 20px;
  }

  .calendar-header .month,
  .calendar-header .month .year {
    font-size: 36.9953px;
  }

  .calendar-header .simple-calendar-btn {
    width: 34.815px;
    height: 36.815px;
  }

  .calendar-header .simple-calendar-btn:before {
    background-size: 24px 24px;
    width: 24px;
    height: 24px;
    top: 4px;
    left: 4px;
  }

  .calendar .day {
    display: flex;
    justify-content: center;
    align-items: center;
    top: 2.63413px;
    left: 2.63413px;
    width: 30.9509px !important;
    height: 30.9509px;
    font-size: 25.32px;
  }

  .calendar td {
    height: 79.125px;
  }

  .schedule-filter-container {
    display: block;    
  }

  .schedule-filter-header {
    float: left;
    clear: both;
  }

  .calendar-header>div {
    width: 396.378px;
  }

  .calendar-header .month, 
  .calendar-header .month .year,
  .schedule-filter-header {
    font-size: 22.155px;
  }

  .schedule-area label {
    font-family: var(--ff-body-bold);
    font-size: 14.2425px;
  }

  #filter_fortysixers_home[type=checkbox] + label,
  #filter_fortysixers_away[type=checkbox] + label,
  #filter_rackelos_home[type=checkbox] + label,
  #filter_rackelos_away[type=checkbox] + label {
    float: left;
    clear: both;
    padding-bottom: 20px;
  }

  #filter_fortysixers_home[type=checkbox],
  #filter_fortysixers_away[type=checkbox],
  #filter_rackelos_home[type=checkbox],
  #filter_rackelos_away[type=checkbox] {
    float: left;
  }

  .single-event {
    bottom: 10px;
  }

  .multiple-events-one {
    width: 40%;
    bottom: 10px;
  }

  .multiple-events-two {
    width: 40% !important;
    bottom: 4px;
  }

  .calendar .day.disabled {
    float: unset;    
  }

  .schedule-filter-fortysixers-container,
  .schedule-filter-rackelos-container  {
    display: block;
  }  

  .next-up-date, .next-up-time, .isCancelled {
    font-size: 1.5rem;
  }

  .isCancelledSm {
    font-size: 18px !important;
  }
}

@media (min-width: 1290px) {  
  .calendar {
    padding-left: 60px;
  }
  .next-up-home-logo, .next-up-guest-logo {
    width: 150px;
  }
  .schedule-bottom-container {
    justify-content: space-around;
    flex-basis: unset;
    flex-wrap: unset;
    max-width: unset;
  }
  .schedule-bottom-block-tickets,
  .schedule-bottom-block-tabelle,
  .schedule-bottom-block-ergebnisse,
  .schedule-bottom-block-gametime {
    background-color: unset;
    background-image: url("/wp-content/themes/hello-theme-child/img/icons/border.svg");
    background-repeat: no-repeat;  
    position: relative; 
    height: 57px;
    min-width: 180px;
    max-width: 180px;
    margin-right: 10.5193px;  
    border-bottom: none; 
    background-size: contain;
  }
  .schedule-bottom-items img {
    width: 42.0329px;
    height: 42.0329px;
    margin: 0 8px 0 15px;
  }
  .schedule-bottom-items span {
    font-size: 22.155px;
  }
  .schedule-bottom-items i {
    font-size: 2rem;
  }
  .calendar thead td {
    font-size: 25.32px;
  }
  .single-event {
    width: 50%;
    bottom: 20px;
  }
  .multiple-events-one {
    width: 40%;
    bottom: 10px;
  }
  .multiple-events-two {
    bottom: 13px;
    height: 100%;
    width: 40% !important;
    position: relative;
    max-width: 75px; 
    left: 15px;   
  }
  .schedule-next-game-container {
    margin: 0 0 0 150px;
  }
}

@media (min-width: 1400px) {  
  .calendar {
    margin-right: 195px;
  }
}

@media (min-width: 2000px) {
  .calendar-header .simple-calendar-btn:before {
    top: 7px;
    left: 8px;
  }
  .calendar-header .simple-calendar-btn {
    width: 60px;
    height: 60px;
  }
  .calendar td {
    height: 117px;
  }
  .schedule-filter-header {
    font-size: 36.9953px;
  }
  .schedule-area label {
    font-size: 23.7827px;
  }
  .calendar-header .month, 
  .calendar-header .month .year,
  .schedule-filter-header {
    font-size: 32px;
  }
  .calendar thead td {
    font-size: 42.335px;
  }
  .calendar .day {
    top: 2.63413px;
    left: 2.63413px;
    width: 57.9509px !important;
    height: 57.9509px;    
    font-size: 2.634rem;
  }
  #filter_fortysixers_home[type=checkbox]+label::before,
  #filter_fortysixers_away[type=checkbox]+label::before,
  #filter_rackelos_home[type=checkbox]+label::before,
  #filter_rackelos_away[type=checkbox]+label::before {
    bottom: 10px;
    width: 42px;
    height: 42px;
  }
  .calendar-header .simple-calendar-btn:before {
    background-size: 42px 42px;
    width: 42px;
    height: 42px;
  }
  .single-event {
    bottom: 30px;
  }
  .next-up-date, .next-up-time, .isCancelled {
    font-size: 2rem;
  }
  .schedule-bottom-items span {
    font-size: 2em;
  }
  .schedule-bottom-block-tickets,
  .schedule-bottom-block-tabelle,
  .schedule-bottom-block-ergebnisse,
  .schedule-bottom-block-gametime {
    height: 72px; 
    min-width: 225px;
    max-width: 225px;
  }
  .multiple-events-one {
    height: 90%;
    width: 50%;
    max-width: 75px;
  }
  .multiple-events-two {
    bottom: 30px;
    height: 100%;
    width: 50% !important;
    max-width: 60px;
    left: unset;
  }
}